Bug 1030718 - comments are in neon pink
comments are in neon pink
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 21:21 EST by Summer Long
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Summer Long 2013-11-14 21:21:49 EST
Description of problem:
Not that neon pink is bad, but it doesn't look very professional in a document.

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Use the following XML tag, and look at the resulting comment line.
<programlisting language="INI Files">
## comment text
regular text
</programlisting>


Expected results:
Would expect the comment color to be more sedate. Perhaps dark blue or dark grey? As long as it contrasts to the blue of the regular text.


Additional info: 
Am aware that all these languages are supported; might be that other languages also have this issue:
http://search.cpan.org/~szabgab/Syntax-Highlight-Engine-Kate-0.08/lib/Syntax/Highlight/Engine/Kate.pm
Comment 2 Jeff Fearn 2013-11-24 18:45:22 EST
Note that the syntax highlighting colours are generic, so this change will affect all languages.
Comment 3 HSS Product Manager 2013-11-24 18:47:31 EST
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Jeff Fearn 2013-11-24 18:50:43 EST
Changes syntax highlight colour for comments from #FF00FF to #888888.

To ssh://git.fedorahosted.org/git/publican.git
   abf4f61..8d5627c  HEAD -> devel
Comment 5 Ruediger Landmann 2013-11-25 01:37:13 EST
Verified in publican-3.9.9-0.fc19.t27.noarch
Comment 6 Ruediger Landmann 2013-11-25 01:49:25 EST
Verified in publican-3.9.9-0.fc19.t28.noarch

Note You need to log in before you can comment on or make changes to this bug.